Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162022 - CVE-2005-1038 vixie-cron information leak
Summary: CVE-2005-1038 vixie-cron information leak
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: vixie-cron
Version: 3.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact: Brock Organ
URL:
Whiteboard: impact=low,public=20050406,source=cve...
Depends On:
Blocks: 163888 168424
TreeView+ depends on / blocked
 
Reported: 2005-06-29 07:32 UTC by Mark J. Cox
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHSA-2006-0117
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-03-15 15:31:08 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0117 qe-ready SHIPPED_LIVE Low: vixie-cron security update 2006-03-15 05:00:00 UTC

Description Mark J. Cox 2005-06-29 07:32:38 UTC
+++ This bug was initially created as a clone of Bug #154920 +++

crontab in Vixie cron 4.1, when running with the -e option, allows local users
to read the cron files of other users by changing the file being edited to a
symlink.  NOTE: there is insufficient information to know whether this is a
duplicate of CVE-2001-0235.

http://www.securityfocus.com/archive/1/395093

Comment 2 Josh Bressers 2005-07-08 21:25:15 UTC
Our current fix for this issue is not complete.  A race condition still exists
between the time we lstat the file in question, and when we open the file.

Comment 3 Jason Vas Dias 2005-07-11 23:37:05 UTC
This is now fixed with vixie-cron-4.1-8.EL3, available from:
  http://people.redhat.com/~jvdias/cron/RHEL-3/4.1-8.EL3
The race condition has been circumvented: the fopen() is done as
the non-root user, which also fixes the case when the temporary
file is made into a hardlink to a root owned file.
Please try out the new version and let me know of any issues - thanks.
 



Comment 6 Jason Vas Dias 2005-10-14 15:32:26 UTC
This bug is fixed with vixie-cron-4.1-8_EL3, available from:
  http://people.redhat.com/~jvdias/cron/RHEL-3
and should be considered for inclusion in RHEL-3-U7 .

Comment 13 Red Hat Bugzilla 2006-03-15 15:31:09 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0117.html



Note You need to log in before you can comment on or make changes to this bug.